Package org.apache.solr.client.solrj.request.beans

## Class BackupCollectionPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.BackupCollectionPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

    public class BackupCollectionPayload
    extends Object
    implements ReflectMapWriter

V2 API POJO for the /v2/collections 'backup-collection' command.

Analogous to the request parameters for v1 /admin/collections?action=BACKUP API.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`String` `collection`
`String` `commitName`
`Boolean` `followAliases`
`Boolean` `incremental`
`String` `indexBackup`
`String` `location`
`String` `name`
`String` `repository`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`BackupCollectionPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### collection

    public String collection

#### name

    public String name

#### location

    public String location

#### repository

    public String repository

#### followAliases

    public Boolean followAliases

#### indexBackup

    public String indexBackup

#### commitName

    public String commitName

#### incremental

    public Boolean incremental

#### async

    public String async

### Constructor Detail

#### BackupCollectionPayload

    public BackupCollectionPayload()